Skip to main content
GET
/
v1
/
generators
/
notstonk
Not Stonk Generator
curl --request GET \
  --url https://api-kaori.mikabot.xyz/v1/generators/notstonk \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-kaori.mikabot.xyz/v1/generators/notstonk"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-kaori.mikabot.xyz/v1/generators/notstonk', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"File"
{
  "success": true,
  "code": 123,
  "message": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>"
}
{
  "success": true,
  "code": 123,
  "message": "<string>",
  "data": [
    {
      "path": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "success": true,
  "code": 123,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_kaori_*

Query Parameters

image
string
required

The URL of the image to generate the Not Stonk meme

Response

Response for status 200

The response is of type file.

Last modified on February 3, 2026